Package com.mockobjects.naming.directory

# Class MockNamingEnumeration

java.lang.Object
com.mockobjects.MockObject
com.mockobjects.naming.directory.MockNamingEnumeration

All Implemented Interfaces:
  `Verifiable`, `Enumeration`, `NamingEnumeration`

public class MockNamingEnumeration extends MockObject implements NamingEnumeration

## Constructor Summary

Constructors
Constructor
Description
`MockNamingEnumeration()`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`boolean`
`hasMore()`
`boolean`
`hasMoreElements()`
`Object`
`next()`
`Object`
`nextElement()`
`void`
`setupAddSearchResult(Object object)`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Enumeration

`asIterator`

## Constructor Details

### MockNamingEnumeration

public MockNamingEnumeration()

## Method Details

### setupAddSearchResult

public void setupAddSearchResult(Object object)

### next

public Object next() throws NamingException

Specified by:
  `next` in interface `NamingEnumeration`
Throws:
  `NamingException`

### hasMore

public boolean hasMore() throws NamingException

Specified by:
  `hasMore` in interface `NamingEnumeration`
Throws:
  `NamingException`

### close

public void close() throws NamingException

Specified by:
  `close` in interface `NamingEnumeration`
Throws:
  `NamingException`

### hasMoreElements

public boolean hasMoreElements()

Specified by:
  `hasMoreElements` in interface `Enumeration`

### nextElement

public Object nextElement()

Specified by:
  `nextElement` in interface `Enumeration`